package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description: 报告课程考核成绩评价明细结果-考生-平时成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportExamStudentUsualScoreDto implements Serializable {

    @ApiModelProperty(value = "权重")
    private BigDecimal targetWeight;

    @ApiModelProperty(value = "平时成绩对象集合")
    private Map<Long, List<ReportExamStudentUsualScoreObjDto>> scoreMap;

    @ApiModelProperty(value = "平时成绩对象集合")
    private List<ReportExamStudentUsualScoreObjDto> scoreList;

    public ReportExamStudentUsualScoreDto() {

    }

    public ReportExamStudentUsualScoreDto(BigDecimal targetSumWeight, List<ReportExamStudentUsualScoreObjDto> scoreList) {
        this.targetWeight = targetSumWeight;
        this.scoreList = scoreList;
    }

    public ReportExamStudentUsualScoreDto(ReportExamStudentUsualScoreDto reportExamStudentUsualScoreDto) {
        this.targetWeight = reportExamStudentUsualScoreDto.getTargetWeight();
        this.scoreMap = reportExamStudentUsualScoreDto.getScoreMap();
        this.scoreList = reportExamStudentUsualScoreDto.getScoreList();
    }

    public BigDecimal getTargetWeight() {
        return targetWeight;
    }

    public void setTargetWeight(BigDecimal targetWeight) {
        this.targetWeight = targetWeight;
    }

    public ReportExamStudentUsualScoreDto(Map<Long, List<ReportExamStudentUsualScoreObjDto>> scoreMap) {
        this.scoreMap = scoreMap;
    }

    public Map<Long, List<ReportExamStudentUsualScoreObjDto>> getScoreMap() {
        return scoreMap;
    }

    public void setScoreMap(Map<Long, List<ReportExamStudentUsualScoreObjDto>> scoreMap) {
        this.scoreMap = scoreMap;
    }

    public List<ReportExamStudentUsualScoreObjDto> getScoreList() {
        return scoreList;
    }

    public void setScoreList(List<ReportExamStudentUsualScoreObjDto> scoreList) {
        this.scoreList = scoreList;
    }
}
